import { _decorator, Component, Node } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('attributes_origin')
export class attributes_origin extends Component {
    @property(Node) btn_click:Node = null;
    private call_back = null;
    start() {
        this.btn_click.on(Node.EventType.TOUCH_END,()=>{
            if(this.call_back!=null){
                this.call_back()
            }
        })
    }

    public initView(call){
        this.call_back = call;
    }
}


